## ros-one-euscollada 0.4.5-39jammy.20251207.2245

=== debian/changelog ===
ros-one-euscollada (0.4.5-39jammy.20251207.2245) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 22:45:51 +0000
