## ros-one-euscollada 0.4.5-39jammy.20260221.2139

=== debian/changelog ===
ros-one-euscollada (0.4.5-39jammy.20260221.2139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 21:39:24 +0000
