=== debian/control ===
Source: ros-one-euscollada
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-one-assimp-devel, ros-one-catkin, ros-one-cmake-modules, ros-one-collada-parser, ros-one-collada-urdf, ros-one-mk, ros-one-resource-retriever, ros-one-rosboost-cfg, ros-one-rosbuild, ros-one-roscpp, ros-one-rospack, ros-one-rostest, ros-one-tf, ros-one-urdf
Homepage: http://ros.org/wiki/euscollada
Standards-Version: 3.9.2

Package: ros-one-euscollada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-one-assimp-devel, ros-one-collada-parser, ros-one-collada-urdf, ros-one-resource-retriever, ros-one-roscpp, ros-one-rospack, ros-one-rostest, ros-one-tf, ros-one-urdf
Description: euscollada
