## ros-one-euscollada 0.4.5-39noble.20251208.0940

=== debian/changelog ===
ros-one-euscollada (0.4.5-39noble.20251208.0940) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 09:40:18 +0000
