## ros-one-euscollada 0.4.5-39noble.20260221.2228

=== debian/changelog ===
ros-one-euscollada (0.4.5-39noble.20260221.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:28:51 +0000
